package user

import (
	"ArmedPolice/app/controller/basic"
	"ArmedPolice/app/service"
)

type Role struct{ *service.Session }

type RoleHandle func(session *service.Session) *Role

func (c *Role) List() (*basic.PageDataResponse, error) {
	return &basic.PageDataResponse{Data: nil, Count: 0}, nil
}

func (c *Role) Form() error {
	return nil
}

func (c *Role) Delete() error {
	return nil
}

func NewRole() RoleHandle {
	return func(session *service.Session) *Role {
		return &Role{session}
	}
}
