package model

type SysRole struct {
	Model
	ModelTenant
	Name   string `gorm:"column:name;type:varchar(30);default:null;comment:角色名" json:"name"`
	Remark string `gorm:"column:remark;type:varchar(255);default:null;comment:角色备注" json:"remark"`
	Sort   int    `gorm:"column:sort;type:tinyint(3);default:0;comment:排序" json:"-"`
	ModelDeleted
	ModelAt
}

func (m *SysRole) TableName() string {
	return m.NewTableName("sys_role")
}

func NewSysRole() *SysRole {
	return &SysRole{}
}
